package examples_css;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.scene.text.Font;
import javafx.scene.text.Text;


public class Example7 extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			Pane root = buildGuiPane();
			Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("application7.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("CSS Example 7");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	private HBox buildGuiPane() {
		HBox hBox = new HBox();
		hBox.setId("hBoxStyle");

		Label lblName = new Label("Name");
		TextField txfName = new TextField();
		Label lblAddress = new Label("Address");
		TextField txfAddress = new TextField();

		Button b1 = new Button("Add");

		hBox.getChildren().addAll(lblName, txfName, lblAddress, txfAddress);

		return hBox;
	}

	public static void main(String[] args) {
		launch(args);
	}
}
