package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

public class HelloWorld_1_No_CSS extends Application {
	
	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Create container to hold Gui controls
			GridPane grdPane = new GridPane();
			// 2. Create label to display message
			Label lblMsg = new Label("Hello World");
			// 3. Put label in container.
			grdPane.add(lblMsg, 0, 0);
			// 4. Create a scene to hold container
			Scene scene = new Scene(grdPane,270,100);
			// 5. Put scene on a stage.
			primaryStage.setScene(scene);
			// 6. Set title for stage.
			primaryStage.setTitle("Hello World 1");
			// 7. Display the stage.
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
