package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

public class HelloWorld_3_Modularized extends Application {
	TextArea txaMessage;
	TextField txfName;

	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			GridPane grdPane = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(grdPane,300,200);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World 3");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public GridPane buildGui() {
		GridPane grdPane = new GridPane();
		txfName = new TextField("Type your name");
		grdPane.add(txfName, 0, 0);
		Button btnHelloWorld = new Button("Hello World");
		grdPane.add(btnHelloWorld, 0, 1);
		txaMessage = new TextArea();
		grdPane.add(txaMessage, 0, 2);
		return grdPane;
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
