package examples_panes;

// doesn't do much, I don't think???
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.stage.Stage;
import javafx.scene.layout.StackPane;

// Example of Stack pane
public class StackPaneExample extends Application{
   @Override // overrides the start() method defined in Application class
   public void start(Stage primaryStage){
      StackPane pane = new StackPane();
      pane.getChildren().add(new Button("Cancel"));
      pane.getChildren().add(new Button("Ok"));
      // The OK button will be placed on top of CANCEL button at the center 
      Scene s = new Scene(pane, 300, 50);
      primaryStage.setTitle("Button on Stack Pane");
      primaryStage.setScene(s);
      primaryStage.show();
      
   }
   
   public static void main(String[] args){
      launch(args);
   }
}


