package examples_css;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.scene.text.Text;


public class Example2a extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			Pane root = buildGui();
			Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("application2a.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("CSS Example 2a");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	public Pane buildGui() {
		GridPane root = new GridPane();
		//root.getStyleClass().add("grid");
		Label lbl1 = new Label("Name");
		root.add(lbl1, 0, 0);

		TextField txf = new TextField();
		txf.setPromptText("Last Name");
		root.add(txf, 1, 0);

		return root;
	}
	public static void main(String[] args) {
		launch(args);
	}
}
