package examples_css;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.text.Text;


public class Example6 extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			Pane root = buildGui();
			Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("application6.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("CSS Example 6");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	public Pane buildGui() {
		GridPane root = new GridPane();
		HBox hBox = new HBox();
		//hBox.getStyleClass().add("hbox");
		hBox.getChildren().addAll(new Button("Button 1"), new Button("Button 2"));
		root.add(hBox, 0, 0);
		Button btn = new Button("Button");
		root.add(btn, 0, 1);

		return root;
	}
	public static void main(String[] args) {
		launch(args);
	}
}
