package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class HelloWorld_4_Modularized_HBox extends Application {
	TextArea txaMessage;
	TextField txfName;

	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			GridPane grdPane = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(grdPane,270,200);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World 4");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public GridPane buildGui() {
		GridPane grdPane = new GridPane();
		
		// Build top row & add to GridPane
		
		Label lblPrompt = new Label("Name");
		txfName = new TextField();
		HBox hBoxName = new HBox();
		hBoxName.getChildren().addAll(lblPrompt, txfName);
		grdPane.add(hBoxName, 0, 0);
		
		// Build second row
		Button btnHelloWorld = new Button("Hello World");
		grdPane.add(btnHelloWorld, 0, 1);
		
		// Build third row
		txaMessage = new TextArea();
		txaMessage.setPrefColumnCount(20);
		txaMessage.setPrefRowCount(3);
		grdPane.add(txaMessage, 0, 2);
		
		return grdPane;
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
