package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

public class HelloWorld_8_ListView extends Application {
	protected TextArea txaMessage;
	protected TextField txfName;
	
	protected ListView<String> lvwInterests = new ListView<>();	
	
	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			Pane root = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(root,350,300);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World 8");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	private Pane buildGui() {
		GridPane root = new GridPane();
		
		Pane p = buildInterestsEntry();
		root.add(p, 0, 0);
		
		Button btnHelloWorld = new Button("Hello World");
		root.add(btnHelloWorld, 0, 1);
	
		txaMessage = new TextArea();
		txaMessage.setPrefColumnCount(7);
		txaMessage.setPrefRowCount(3);
		root.add(txaMessage, 0, 2);
		
		return root;
	}
	
	private Pane buildInterestsEntry() {
		//lvwInterests.getSelectionModel().setSelectionMode(SelectionMode.MULTIPLE);
		lvwInterests.getItems().addAll("Music", "Dance", "Disc Golf", "Theater",
	                                     "Reading");
		lvwInterests.setPrefHeight(150);
		lvwInterests.setPrefWidth(120);
		HBox hBox = new HBox();
		hBox.setSpacing(10);
		hBox.getChildren().add(new Label("Interests\nSelect all that apply"));
		hBox.getChildren().add(lvwInterests);
		return hBox;
	}

	public static void main(String[] args) {
		launch(args);
	}
}
