package examples_hello_world;

import javafx.geometry.Insets;
import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;

public class HelloWorld_98_Spacing_Not_Used extends Application {
	TextArea txaMessage;
	TextField txfName;

	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			GridPane grdPane = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(grdPane,270,250);
			primaryStage.setScene(scene);
			primaryStage.setTitle("Exampe 3 - Hello World");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	public GridPane buildGui() {
		
		// Should use CSS
		
//		GridPane grdPane = new GridPane();
//		grdPane.setHgap(25);
//		grdPane.setVgap(25);
//		grdPane.setPadding(new Insets(25, 25, 25, 25));
		
		GridPane grdPane = new GridPane();
		grdPane.setHgap(10); // Set horizontal distance between controls
		grdPane.setVgap(10); // Set vertical distance between controls
		grdPane.setPadding(new Insets(25,25,25,25));// Padding inside GridPane
//		grdPane.setPadding(new Insets(25,25,25,25)); // Padding inside GridPane
		
		txfName = new TextField("Type your name");
		grdPane.add(txfName, 0, 0);
		Button btnHelloWorld = new Button("Hello World");
		btnHelloWorld.setOnAction(new HelloWorldButtonEventHandler());
		grdPane.add(btnHelloWorld, 0, 1);
		txaMessage = new TextArea();
		grdPane.add(txaMessage, 0, 2);
		return grdPane;
	}

	public static void main(String[] args) {
		launch(args);
	}

	// Define button behavior. Here, we use an inner class event handler
	private class HelloWorldButtonEventHandler implements EventHandler<ActionEvent> {
		@Override
	    public void handle(ActionEvent e) {
	    	String name = txfName.getText();
	        txaMessage.setText(name + ", Hello World!");
	    }
	}

}
