package examples_panes;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.geometry.Pos;
import javafx.geometry.Insets;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.text.TextAlignment;


public class BorderingCounties extends Application{
   public void start(Stage primaryStage){
      BorderPane pane = new BorderPane();
      
      GridPane north = new GridPane();
      Button northButton = new Button("Northern Counties");
      north.add(northButton, 0, 0);
      Label northList = new Label();
      north.add(northList, 0, 1);
      north.setAlignment(Pos.CENTER);
      
      northButton.setOnAction(new EventHandler<ActionEvent>() {
         public void handle(ActionEvent e) {            
            if (northList.getText().isEmpty())
               northList.setText("Cook, Berrien, Lanier");
            else
               northList.setText("");                    
         }
      });      
      
      GridPane south = new GridPane();
      Button southButton = new Button("Southern Counties");
      south.add(southButton, 0, 0);
      Label southList = new Label("");
      south.add(southList, 0, 1);
      south.setAlignment(Pos.CENTER);

      southButton.setOnAction(new EventHandler<ActionEvent>() {
         public void handle(ActionEvent e) {            
            if (southList.getText().isEmpty())
               southList.setText("Madison, Hamilton");
            else
               southList.setText("");                    
         }
      });  
      
      GridPane east = new GridPane();
      Button eastButton = new Button("Eastern Counties");
      east.add(eastButton, 0, 0);
      Label eastList = new Label("");
      east.add(eastList, 0, 1);
      east.setAlignment(Pos.CENTER);

      eastButton.setOnAction(new EventHandler<ActionEvent>() {
         public void handle(ActionEvent e) {            
            if (eastList.getText().isEmpty())
               eastList.setText("Echols");
            else
               eastList.setText("");                    
         }
      });  
            
      GridPane west = new GridPane();
      Button westButton = new Button("Western Counties");
      west.add(westButton, 0, 0);
      Label westList = new Label("");
      west.add(westList, 0, 1);
      west.setAlignment(Pos.CENTER);

      westButton.setOnAction(new EventHandler<ActionEvent>() {
         public void handle(ActionEvent e) {            
            if (westList.getText().isEmpty())
               westList.setText("Brooks");
            else
               westList.setText("");                    
         }
      });  
      
      GridPane center = new GridPane();
      center.add(new Label("Lowndes County"), 0, 0);      
      center.setAlignment(Pos.CENTER);
            
      //Place nodes (each of them an individual GridPane) in the border pane
      pane.setTop(north);
      pane.setRight(east);
      pane.setBottom(south);
      pane.setLeft(west);
      pane.setCenter(center);
      
      Scene s = new Scene(pane, 400, 200);
      primaryStage.setTitle("Bordering counties of Lownes");
      primaryStage.setScene(s);
      primaryStage.show();
      
   }
   
   public static void main(String[] args){
      launch(args);
   }
}

